Amphion Medical Solutions Skills Assessment

Online Employment and Skills Assessment


Welcome to the Amphion transcription skills assessment. This test is being timed. It is expected you should complete this test within 2 hours. Failure to complete the test in the allotted time may affect your candidacy.

We look for the following in our medical language specialist applicants:

  • At least two years' hospital inpatient experience transcribing the "Basic Four" or at least two years' clinic experience transcribing all specialties (>4 specialties) in addition to any formal training
  • Word/Windows/Internet Proficiency
  • These positions require candidates with authority to work in the U.S. without sponsorship
  • Interest in employee status, not independent contractor status

Minimum System Requirements for Employment:

  • Processor cores:
  • -A dual core processor is minimum
    -A quad core processor (or better) is recommended

  • Intel Pentium IV 2.8 GHz or higher processor, Intel i3 processor or better is recommended
  • 2 GB RAM (3 recommended) or better
  • Available Disk Space - 1 GB minimum (2 GB or more recommended)
  • Operational Audio Card
  • Available USB port to accommodate foot pedal and headset
  • Operational Network Adapter Card
  • Administrative access to the computer at the time of installation of any required software

Transcription Components:

  • Infinity IN-USB-2 foot pedal, available at http://www.tvps.com for about $60.00
  • USB headset with built-in microphone or regular headphones if PC has a microphone

Software Components:

  • Microsoft .NET Framework - 3.5 SP1, 3.5 SP2 (recommended) or 4 Client Profile, click here to update
  • -Windows Vista SP2 (32/64-bit)
  • -Windows 7 SP1 (32/64-bit)
  • -Windows 8 and 8.1 -Triton only
  • MS PowerPoint Viewer, download free at www.microsoft.com
  • MS Excel Viewer, download free at www.microsoft.com
  • MS Word Professional 2007 or 2010
  • Adobe Reader version 8 or higher (free download) — www.adobe.com

  • Internet Explorer 10 recommended
  • Internet Explorer 8 only for EditScript
  • Internet Explorer 11 acceptable for Triton only
  • A properly configured and updated Firewall and anti-virus program

Internet Connection:

  • High-speed internet (DSL or Cable):

  • -Download speed: 2 Mbps or more (2048 Kbps)
  • -Upload speed: 0.75 Mbps or more (768 KBps)

  • No satellite ISP
  • No cellular ISP

If you meet the qualifications listed above, why wait? Connect with us today by proceeding with our testing. We'd love to become your career company!

If you do not meet our minimum training or experience requirements but you are interested in a career in medical transcription, click here for information about quality medical transcription training.

If you feel you have a need to re-take a portion of the test, or you have non-technical questions about the testing process, please contact: Mary Schmidt at 888-830-2644 ext:1427.



Javascript must be enabled to use this site.

Please enable Javascript then refresh this page or click here to continue.

To enable Javascript:

  • Internet Explorer 6 and 7
    1. Click Tools then Internet Options... from the main menu.
    2. Select the Security tab a the top of the Internet Options windows.
    3. Select the Internet icon from the list of zones at the top of the Security options.
    4. Click "Custom level..."
    5. Scroll down to Active Scripting.
    6. Under Active Scripting click Enable.

  • Mozilla Firefox 1.5 and 2.0
    1. Click Tools then Options... (or Firefox then Preferences on the MAC) from the main menu.
    2. Select the Content button at the top of the window the appears.
    3. Click the box by Enable Javascript to put a checkmark in it.

  • Safari
    1. Click Safari then Preferences from the main menu.
    2. Select the Security tab.
    3. Click Enable JavaScript to put a checkmark by it.



System Requirements to Complete This Evaluation:
  • Browser Requirements
  • *** Internet Explorer 9 and Google Chrome are NOT compatible with this testing platform. Internet Explorer 9 won't let you install versions 7 or 8. If you have IE 9, you will need to install both Firefox and Quicktime and then open Firefox (see links below or the FAQ). ***
  • Operating System Requirements
    • Windows XP, or Windows Vista, or Windows 7
    • or
    • Mac OS X 10.4 or newer (10.5 or newer suggested)
  • Javascript must be enabled. This is enabled in most browsers by default.
  • Hardware Requirements
    • Speakers/headphones to hear audio dictations